%define name spellcast
%define version 1.0.2
%define release 4mdk

Summary: Game of intelligence, using X11 networking, up to 8+ players
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Strategy
Source: %{name}.tar.bz2
Patch: %{name}-%{version}.patch.bz2
URL: http://agape.kuntrynet.com/linux/spellcast/
#Provides: spellcast
Buildroot: %{_tmppath}/%{name}-buildroot

%description
Spellcast is a multiplayer game that stresses intelligence, and is
played using X11 networking, with up to 8 or more players.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n sc 

%patch -p1

%build
make spellcast

%install
install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 spellcast $RPM_BUILD_ROOT%{_bindir}
install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/man6
install -m 755 spellcast.6 $RPM_BUILD_ROOT%{_mandir}/man6
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/spellcast
install -m 755 spelllist.ps $RPM_BUILD_ROOT%{_libdir}/spellcast

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/spellcast"\
title="Spellcast"\
longtitle="Multiplayer game"\
needs="x11"\
section="Amusement/Strategy"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}


%files
%defattr (-,root,root)
%doc MANIFEST README
%{_bindir}/*
%{_mandir}/man6/*
%{_libdir}/spellcast/*
%{_menudir}/*

%changelog
* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-4mdk
- rebuild

* Mon Sep 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-3mdk
- BM
- macros
- menu

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-2mdk
- fix group
- bzip2 patch

* Thu Oct 14 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations
